Package org.apache.wiki.tags

# Class BreadcrumbsTag.FixedQueue

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.AbstractSequentialList<E>
java.util.LinkedList<String>
org.apache.wiki.tags.BreadcrumbsTag.FixedQueue

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<String>`, `Collection<String>`, `Deque<String>`, `List<String>`, `Queue<String>`

Enclosing class:
  BreadcrumbsTag

public static class BreadcrumbsTag.FixedQueue extends LinkedList<String> implements Serializable
Extends the LinkedList class to provide a fixed-size queue implementation

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Method Summary

Modifier and Type
Method
Description
`void`
`removeItem(String pageName)`

### Methods inherited from class java.util.LinkedList

`add, add, addAll, addAll, addFirst, addLast, clear, clone, contains, descendingIterator, element, get, getFirst, getLast, indexOf, lastIndexOf, listIterator, offer, offerFirst, offerLast, peek, peekFirst, peekLast, poll, pollFirst, pollLast, pop, push, remove, remove, remove, removeFirst, removeFirstOccurrence, removeLast, removeLastOccurrence, set, size, spliterator, toArray, toArray`

### Methods inherited from class java.util.AbstractSequentialList

`iterator`

### Methods inherited from class java.util.AbstractList

`equals, hashCode, listIterator, removeRange, subList`

### Methods inherited from class java.util.AbstractCollection

`containsAll, isEmpty, removeAll, retainAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.util.Deque

`iterator`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode, isEmpty, iterator, listIterator, removeAll, replaceAll, retainAll, sort, subList`

## Method Details

### removeItem

public void removeItem(String pageName)

Parameters:
  `pageName` - the page to be deleted from the breadcrumb